=== debian/changelog ===
emacs-bazel-mode (0.0~git20230919.769b30d-6) unstable; urgency=medium

  * Skip tests failing on Emacs 30.1
    - Some tests failed to create the required file when running under Emacs
      30.1.  Will figure out later.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 25 Feb 2025 20:19:58 -0800

emacs-bazel-mode (0.0~git20230919.769b30d-5) unstable; urgency=medium

  * Update d/watch to be compatible with DDPO

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 09 Dec 2024 22:43:07 -0800

emacs-bazel-mode (0.0~git20230919.769b30d-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:12:05 +0900

emacs-bazel-mode (0.0~git20230919.769b30d-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 11:38:38 +0900

emacs-bazel-mode (0.0~git20230919.769b30d-2) unstable; urgency=medium

  * Remove upstream-tag in d/gbp.conf for better detection
  * Add d/salsa-ci.yml using default settings
  * Add git to Build-Depends required by Salsa CI

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 30 May 2024 20:47:11 -0700

emacs-bazel-mode (0.0~git20230919.769b30d-1) unstable; urgency=medium

  * Initial release (Closes: #1071204)

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 15 May 2024 22:52:08 -0700
