=== debian/rules ===
#!/usr/bin/make -f

ELPA_NAME=bazel
export ELPA_NAME

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo skip building
