=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
    https://github.com/bazelbuild/emacs-bazel-mode \
    HEAD debian uupdate
